#
# spec file for package obs-service-download_files
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           obs-service-download_files
License:        GPL-2.0+
Group:          Development/Tools/Building
Summary:        An OBS source service: download files
Version:        0.3
Release:        6.1
Source:         download_files
Source1:        download_files.service
Source2:        download_files.rc
Requires:       wget diffutils
Requires:       build >= 2011.05.24
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This is a source service for openSUSE Build Service.

This service is parsing all spec files and downloads all Source files which are specified via a http, https or ftp url.

%prep
%setup -q -D -T 0 -n .

%build

%install
mkdir -p $RPM_BUILD_ROOT/usr/lib/obs/service
install -m 0755 %{SOURCE0} $RPM_BUILD_ROOT/usr/lib/obs/service
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/obs/service
mkdir -p $RPM_BUILD_ROOT/etc/obs/services
install -m 0644 %{SOURCE2} $RPM_BUILD_ROOT/etc/obs/services/download_files
mkdir -p $RPM_BUILD_ROOT/var/cache/obs/download_files/file{,name}

%pre
/usr/sbin/groupadd -r obsrun 2> /dev/null || :
/usr/sbin/useradd -r -o -s /bin/false -c "User for build service backend" -d /usr/lib/obs -g obsrun obsrun 2> /dev/null || :

%files
%defattr(-,root,root)
%dir /usr/lib/obs
/usr/lib/obs/service
%dir /etc/obs
%dir /etc/obs/services
%config(noreplace) /etc/obs/services/*
%dir /var/cache/obs
%defattr(-,obsrun,obsrun)
%dir /var/cache/obs/download_files
%dir /var/cache/obs/download_files/file
%dir /var/cache/obs/download_files/filename

%changelog
* Mon Jan  2 2012 cfarrell@suse.com
- license update: GPL-2.0+
  SPDX format
* Wed Nov 23 2011 adrian@suse.de
- import fixes for recompress & enforcelocal case (by coolo)
* Tue Nov 22 2011 adrian@suse.de
- silence during directory change
* Fri Aug 26 2011 adrian@suse.de
- allow to configure a local cache directory
* Fri Aug 26 2011 adrian@suse.de
- add two new options:
    enforceupstream=yes: package turns into broken state when
    upstreams hosts a different file.
    enforcelocal=yes: package turns into broken state when
    the file was not part of the commit
* Wed Aug 24 2011 adrian@suse.de
- support special download handling for sourceforge.net
* Thu Aug 18 2011 adrian@suse.de
- use own user agent
- handle --outdir . situation
* Tue Jul  5 2011 adrian@suse.de
- Improve error reporting on illegal URLs
- fix "same file as committed" detection
* Tue May 24 2011 adrian@suse.de
- initial package to download files accordings to urls in spec file Source: tags
